org.apache.ignite.internal.visor.log

## Class VisorLogSearchTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorLogSearchTask.VisorLogSearchArg,IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>,Collection<VisorLogSearchResult>>
  - - org.apache.ignite.internal.visor.log.VisorLogSearchTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorLogSearchTask.VisorLogSearchArg>,IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>>

    @GridInternal
    public class VisorLogSearchTask
    extends VisorMultiNodeTask<VisorLogSearchTask.VisorLogSearchArg,IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>,Collection<VisorLogSearchResult>>

Search text matching in logs

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `VisorLogSearchTask.VisorLogSearchArg` Arguments for `VisorLogSearchTask`.

### Field Summary

Fields
`static int` `HALF` How many lines should be read before and after line with found text.
`static int` `LINE_CNT` How many lines to read around line with found text.

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorLogSearchTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.log.VisorLogSearchTask.VisorLogSearchJob` `job(VisorLogSearchTask.VisorLogSearchArg arg)`
`protected IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINE_CNT

    public static final int LINE_CNT

How many lines to read around line with found text.

See Also:
  Constant Field Values

#### HALF

    public static final int HALF

How many lines should be read before and after line with found text.

See Also:
  Constant Field Values

### Constructor Detail

#### VisorLogSearchTask

    public VisorLogSearchTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.log.VisorLogSearchTask.VisorLogSearchJob job(VisorLogSearchTask.VisorLogSearchArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorLogSearchTask.VisorLogSearchArg,IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>,Collection<VisorLogSearchResult>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorLogSearchTask.VisorLogSearchArg,IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>,Collection<VisorLogSearchResult>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015